## pexec 1.0~rc8

=== debian/changelog ===
pexec (1.0~rc8-3) unstable; urgency=low

  * Make documentation processing work with Texinfo 5; closes: #713295.

 -- Milan Zamazal <pdm@debian.org>  Sat, 29 Jun 2013 16:35:01 +0200

pexec (1.0~rc8-2) unstable; urgency=low

  * Standards 3.9.3 (no real change).
  * Missing build-* targets added to debian/rules.
  * Sign of the initial template removed from debian/copyright.

 -- Milan Zamazal <pdm@debian.org>  Mon, 04 Jun 2012 20:26:40 +0200

pexec (1.0~rc8-1) unstable; urgency=low

  * Initial release; closes: #569822.

 -- Milan Zamazal <pdm@debian.org>  Sun, 28 Feb 2010 19:00:36 +0100
