=== debian/control ===
Source: pexec
Section: utils
Priority: extra
Maintainer: Milan Zamazal <pdm@debian.org>
Build-Depends: debhelper (>= 7), help2man, texinfo
Standards-Version: 3.9.3
Homepage: http://www.gnu.org/software/pexec/

Package: pexec
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dpkg (>= 1.15.4) | install-info
Description: Executing commands in parallel
 The main purpose of pexec is to execute the given command in parallel on
 the local host or on remote hosts, while some of the execution
 parameters, namely the redirected standard input, output or error and
 environmental variables can be varied. The capabilities of the program
 are extended with additional features, such as allowing to define mutual
 exclusions, do atomic command executions and implement higher level
 resource and job control. The maximum number of simultaneous tasks can
 be controlled by a hypervisor daemon: with such a daemon, concurrent
 pexec instances can be launched without an unexpectedly high load.
